<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="EstadisticasCategorias.aspx.cs" Inherits="Seven.Front.EstadisticasCategorias" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("EstadisticasCategorias") %> [4.8]</title>

    <script type="text/javascript">

        <% 
        
       /* 
        * Índice de Código 
        * 
        * JQ01 - Grid de Estadísticas de Categorías
        * JQ02 - Grid de Régimenes de Alojamiento
        * JQ03 - Grid de Monedas
        * JQ04 - Grid de Usos de Habitaciones
        * JQ05 - Grid de Tarifas
        * JQ06 - Grid de Nacionalidades
        * JQ07 - Grid de Mercados
        * JQ08 - Grid de Empresas
        * JQ09 - Grid de Países Emisores (Nacionalidades)
        * 
        * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
        * JS_DOC       - Funciones Javascript en Document.Ready()
        * 
        * DLG_VAR      - Diálogos Varios
        * 
        * TIT - Título
        * 
        * HH  - Hidden Hive - Almacen de datos en campos ocultos
        * 
        * B01 - Grid de Estadísticas de Categorías
        * B02 - Cuandro Información Principal
        * B03 - Tabs de Detallado
        * B04 - Tabs de Totalizado
        * 
        */
        
        %>

        var HeaderTable  = <%=L.LBL("LblFDKSTipoTemporadas") %>;

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* JQ01 */ %>

        <% /* Código del jqGrid para EC */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetEC() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasCategorias',
                data: { "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try
                    {
                        $("#jqgEC").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgEC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgEC").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutEC(eli) {
            var id = $('#IdSubElementEC').val();
            $.ajax({
                url: 'Servicio.svc/PutEstadisticasCategorias',
                data: { "id_list": $('#IdSubElementEC').val(), "titulo": $('#txtTitulo').val(), "tipo": $('#cbTipo').val()
                    , "usauhab": $('#cbUsaUhab:checked').val(), "uhabnot": $('#cbUhabNot:checked').val()
                    , "usacont": $('#cbUsaCont:checked').val(), "contnot": $('#cbContNot:checked').val()
                    , "usanaci": $('#cbUsaNaci:checked').val(), "nacinot": $('#cbNaciNot:checked').val()
                    , "usaralo": $('#cbUsaRalo:checked').val(), "ralonot": $('#cbRaloNot:checked').val()
                    , "usamone": $('#cbUsaMone:checked').val(), "monenot": $('#cbMoneNot:checked').val()
                    , "smone": $("#TablaGrid2").jqGrid('getGridParam','selarrrow').toString()
                    , "suhab": $("#TablaGrid3").jqGrid('getGridParam','selarrrow').toString()
                    , "snaci": $("#TablaGrid5").jqGrid('getGridParam','selarrrow').toString()
                    , "scont": $("#TablaGrid4").jqGrid('getGridParam','selarrrow').toString()
                    , "sralo": $("#TablaGrid").jqGrid('getGridParam','selarrrow').toString()
                    , "usamerc": $('#cbUsaMerc:checked').val()
                    , "smerc": $("#TablaGrid6").jqGrid('getGridParam','selarrrow').toString()
                    , "usaagen": $('#cbUsaAgen:checked').val()
                    , "sagen": $("#TablaGrid7").jqGrid('getGridParam','selarrrow').toString()
                    , "usapais": $('#cbUsaPais:checked').val()
                    , "spais": $("#TablaGrid8").jqGrid('getGridParam','selarrrow').toString()
                    //, "orden_uhab": orden_uhab, "orden_naci": orden_naci, "orden_cont": orden_cont
                    //, "orden_ralo": orden_ralo, "orden_mone": orden_mone
                    , "cierre": $('#cbCierre:checked').val(), "bmulti": $('#cbMulti:checked').val()
                , "Eliminado": eli
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        if(eli == 1){
                            $('#IdSubElementEC').val(0);
                            BotonDefaultEC();
                            RefreshGridEC();
                        }
                        else
                        {
                            if(id > 0 || id < 0){
                                BotonDefaultEC();
                                RefreshGridEC();
                            }
                            else
                            {
                                $('#IdSubElementEC').val(res);
                                BotonDefaultEC();
                                RefreshGridEC();
                            }
                        }
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridEC() {
        
            var lselEC;
            var colMap = {};
            $("#jqgEC").jqGrid({
                datatype: 'local',
                height: 500,
                width: 150,
                colNames:  ['', '<%=L.LBL("LblGENTitulo") %>', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
                    , '', '', '', '', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'titulo', index: 'titulo', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'tipo', index: 'tipo', width: 10, search:false, hidden: true }, 
                            { name: 'usauhab', index: 'usauhab', width: 10, search:false, hidden: true }, 
                            { name: 'uhabnot', index: 'uhabnot', width: 10, search:false, hidden: true }, 
                            { name: 'usacont', index: 'usacont', width: 10, search:false, hidden: true }, 
                            { name: 'contnot', index: 'contnot', width: 10, search:false, hidden: true }, 
                            { name: 'usanaci', index: 'usanaci', width: 10, search:false, hidden: true }, 
                            { name: 'nacinot', index: 'nacinot', width: 10, search:false, hidden: true }, 
                            { name: 'usaralo', index: 'usaralo', width: 10, search:false, hidden: true }, 
                            { name: 'ralonot', index: 'ralonot', width: 10, search:false, hidden: true }, 
                            { name: 'usamone', index: 'usamone', width: 10, search:false, hidden: true }, 
                            { name: 'monenot', index: 'monenot', width: 10, search:false, hidden: true }, 
                            { name: 'usamerc', index: 'usamerc', width: 10, search:false, hidden: true }, 
                            { name: 'usaagen', index: 'usaagen', width: 10, search:false, hidden: true }, 
                            { name: 'usapais', index: 'usapais', width: 10, search:false, hidden: true }, 
                            { name: 'orden_uhab', index: 'orden_uhab', width: 10, search:false, hidden: true }, 
                            { name: 'orden_naci', index: 'orden_naci', width: 10, search:false, hidden: true }, 
                            { name: 'orden_cont', index: 'orden_cont', width: 10, search:false, hidden: true }, 
                            { name: 'orden_ralo', index: 'orden_ralo', width: 10, search:false, hidden: true }, 
                            { name: 'orden_mone', index: 'orden_mone', width: 10, search:false, hidden: true }, 
                            { name: 'cierre', index: 'cierre', width: 10, search:false, hidden: true }, 
                            { name: 'bmulti', index: 'bmulti', width: 10, search:false, hidden: true }, 
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselEC) && !isNaN(id))
                        {
                            $("#jqgEC").jqGrid('delRowData', lselEC);
                            //$('#jqgEC').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            var ret = jQuery("#jqgEC").jqGrid('getRowData',id); 

                            $('#jqgEC').jqGrid('restoreRow',lselEC);

                            $('#IdSubElementEC').val(ret.Id);

                            LoadForm();
                        }
                        else
                        {
                            BotonNuevoEC();
                        }
                       
                        lselEC=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselEC))
                        {
                            $("#jqgEC").jqGrid('delRowData', lselEC);
                            $('#jqgEC').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgEC').jqGrid('saveRow',lselEC);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgEC').jqGrid('restoreRow',id);
                        }

                        var ret = jQuery("#jqgEC").jqGrid('getRowData',id); 
                        var status = ret.Eli;

                        if(status == "True")
                        { 
                            $('#btnEliminarTextEC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconEC').attr("src", "img/recuperar.png");
                        }
                        else 
                        {   
                            $('#btnEliminarTextEC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconEC').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgEC').jqGrid('setSelection', id); 

                        BotonSelectEC();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgEC").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementEC').val()) == 0)
                        {
                            $('#IdSubElementEC').val($("#jqgEC").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgEC").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgEC").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgEC').jqGrid('setSelection', $('#IdSubElementEC').val());
                    if(parseInt($('#IdSubElementEC').val()) != 0)
                    {
                        BotonSelectEC();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgEC").jqGrid('navGrid','#PaginadorEC',{del:false,add:false,edit:false,search:false});
            $("#bsdataEC").click(function(){ 
                jQuery("#jqgEC").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        function InitializeComponentsEC() {
            $("#txtTitulo").on('input', function () { BotonGuardarEC(); });
            $("#cbTipo").on('change', function () { BotonGuardarEC(); });
            $("#cbUsaRalo").on('change', function () { BotonGuardarEC(); });
            $("#cbUsaUhab").on('change', function () { BotonGuardarEC(); });
            $("#cbUsaMone").on('change', function () { BotonGuardarEC(); });
            $("#cbUsaCont").on('change', function () { BotonGuardarEC(); });
            $("#cbUsaNaci").on('change', function () { BotonGuardarEC(); });
            $("#cbRaloNot").on('change', function () { BotonGuardarEC(); });
            $("#cbUhabNot").on('change', function () { BotonGuardarEC(); });
            $("#cbMoneNot").on('change', function () { BotonGuardarEC(); });
            $("#cbContNot").on('change', function () { BotonGuardarEC(); });
            $("#cbNaciNot").on('change', function () { BotonGuardarEC(); });
            $("#cbUsaMerc").on('change', function () { BotonGuardarEC(); });
            $("#cbUsaAgen").on('change', function () { BotonGuardarEC(); });
            $("#cbUsaPais").on('change', function () { BotonGuardarEC(); });
            $("#cbMulti").on('change', function () { BotonGuardarEC(); });
            $("#cbCierre").on('change', function () { BotonGuardarEC(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridEC()
        {
            $("#jqgEC").jqGrid("setGridParam", {datatype: "json", datatype: GetEC, loadonce: true});
            $("#jqgEC").trigger("reloadGrid"); 
            $("#jqgEC").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función para agregar una fila en blanco donde se puede guardar un nuevo registro. */ %>

        function CreateEC()
        {
            $('#IdSubElementEC').val(0);
            ResetForm();
            BotonNuevoEC();
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveEC(){
            PutEC(0);
        }

        <% /* Función que elimina un registro. */ %>

        function DeleteEC(){
            var id = $("#jqgEC").jqGrid('getGridParam','selrow');
            if (id) {
                PutEC(1);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelEC(){
            var id = $("#jqgEC").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgEC').restoreRow(id);
                $('#IdSubElementEC').val(id);
                LoadForm();
            } 
            else 
            { 
                ResetForm();
            }
            BotonDefaultEC();
        }

        function BotonDefaultEC() {
            $('#btnNuevoEC').button('enable');
            $('#btnEliminarEC').button('disable');
            $('#btnGuardarEC').button('disable');
            $('#btnCancelarEC').button('disable');
        }

        function BotonNuevoEC() {
            $('#btnNuevoEC').button('disable');
            $('#btnEliminarEC').button('disable');
            $('#btnGuardarEC').button('disable');
            $('#btnCancelarEC').button('enable');
        }

        function BotonSelectEC() {
            $('#btnNuevoEC').button('enable');
            var id = $("#jqgEC").jqGrid('getGridParam', 'selrow');
            if (!isNaN(id)) {
                $('#btnEliminarEC').button('enable');
            }
            else {
                $('#btnEliminarEC').button('disable');
            }
            $('#btnGuardarEC').button('disable');
            $('#btnCancelarEC').button('disable');
        }

        function BotonGuardarEC() {
            $('#btnNuevoEC').button('disable');
            $('#btnEliminarEC').button('disable');
            $('#btnGuardarEC').button('enable');
            $('#btnCancelarEC').button('enable');
        }

        <% /* JQ02 */ %>

        <% /* Código del Grid #1 : Régimen de Alojamiento */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasCategoriaRalo',
                data: {
                    "id_list": $('#IdSubElementEC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function (json) {
                    $('#dlgCargando1').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando1').dialog('close');
                    $("#TablaGrid").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#TablaGrid")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid() {

            var lastsel2;
            var colMap = {};
            $("#TablaGrid").jqGrid({
                datatype: 'local',
                height: 100,
                width: 550,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 3, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        $('#TablaGrid').jqGrid('editRow', id, true);
                        lastsel2 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {
                        //$('#TablaGrid').jqGrid('setSelection', id);
                        $('#cbUsaRalo').prop('checked', true);
                        BotonGuardarEC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#TablaGrid").getDataIDs();
                    for (var i = 0; i <= rows.length; i++) {
                        var elem = $("#TablaGrid").getCell(rows[i], "Id");
                        var status = $("#TablaGrid").getCell(rows[i], "Eli");

                        if (parseInt(status) == 1) {
                            $("#TablaGrid").setSelection(elem, true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid() {
            $("#TablaGrid").jqGrid("setGridParam", { datatype: "json", datatype: GetData, loadonce: true });
            $("#TablaGrid").trigger("reloadGrid");
            $("#TablaGrid").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            //$("#TablaGrid").jqGrid('delRowData', 0);
        }

        <% /* JQ03 */ %>

        <% /* Código del Grid #2 : Monedas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData2() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasCategoriaMone',
                data: {
                    "id_list": $('#IdSubElementEC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function (json) {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    $("#TablaGrid2").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#TablaGrid2")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid2").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid2() {

            var lastsel22;
            var colMap = {};
            $("#TablaGrid2").jqGrid({
                datatype: 'local',
                height: 100,
                width: 550,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 3, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        $('#TablaGrid2').jqGrid('editRow', id, true);
                        lastsel22 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel22*/) {
                        //$('#TablaGrid2').jqGrid('setSelection', id);
                        $('#cbUsaMone').prop('checked', true);
                        BotonGuardarEC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#TablaGrid2").getDataIDs();
                    for (var i = 0; i <= rows.length; i++) {
                        var elem = $("#TablaGrid2").getCell(rows[i], "Id");
                        var status = $("#TablaGrid2").getCell(rows[i], "Eli");

                        if (parseInt(status) == 1) {
                            $("#TablaGrid2").setSelection(elem, true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid2() {
            $("#TablaGrid2").jqGrid("setGridParam", { datatype: "json", datatype: GetData2, loadonce: true });
            $("#TablaGrid2").trigger("reloadGrid");
            $("#TablaGrid2").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            //$("#TablaGrid2").jqGrid('delRowData', 0);
        }

        <% /* JQ04 */ %>

        <% /* Código del Grid #3 : Usos de Habitación */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData3() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasCategoriaUhab',
                data: {
                    "id_list": $('#IdSubElementEC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function (json) {
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    $("#TablaGrid3").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#TablaGrid3")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid3").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid3() {

            var lastsel23;
            var colMap = {};
            $("#TablaGrid3").jqGrid({
                datatype: 'local',
                height: 100,
                width: 550,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 3, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel23*/) {
                        $('#TablaGrid3').jqGrid('editRow', id, true);
                        lastsel23 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel23*/) {
                        //$('#TablaGrid3').jqGrid('setSelection', id);
                        $('#cbUsaUhab').prop('checked', true);
                        BotonGuardarEC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#TablaGrid3").getDataIDs();
                    for (var i = 0; i <= rows.length; i++) {
                        var elem = $("#TablaGrid3").getCell(rows[i], "Id");
                        var status = $("#TablaGrid3").getCell(rows[i], "Eli");

                        if (parseInt(status) == 1) {
                            $("#TablaGrid3").setSelection(elem, true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid3() {
            $("#TablaGrid3").jqGrid("setGridParam", { datatype: "json", datatype: GetData3, loadonce: true });
            $("#TablaGrid3").trigger("reloadGrid");
            $("#TablaGrid3").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            //$("#TablaGrid3").jqGrid('delRowData', 0);
        }

        <% /* JQ05 */ %>

        <% /* Código del Grid #4 : Contratos */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData4() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasCategoriaCont',
                data: {
                    "id_list": $('#IdSubElementEC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function (json) {
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    $("#TablaGrid4").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#TablaGrid4")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid4").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid4() {

            var lastsel24;
            var colMap = {};
            $("#TablaGrid4").jqGrid({
                datatype: 'local',
                height: 100,
                width: 550,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 3, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel24*/) {
                        $('#TablaGrid4').jqGrid('editRow', id, true);
                        lastsel24 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel24*/) {
                        //$('#TablaGrid4').jqGrid('setSelection', id);
                        $('#cbUsaCont').prop('checked', true);
                        BotonGuardarEC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#TablaGrid4").getDataIDs();
                    for (var i = 0; i <= rows.length; i++) {
                        var elem = $("#TablaGrid4").getCell(rows[i], "Id");
                        var status = $("#TablaGrid4").getCell(rows[i], "Eli");

                        if (parseInt(status) == 1) {
                            $("#TablaGrid4").setSelection(elem, true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid4() {
            $("#TablaGrid4").jqGrid("setGridParam", { datatype: "json", datatype: GetData4, loadonce: true });
            $("#TablaGrid4").trigger("reloadGrid");
            $("#TablaGrid4").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            //$("#TablaGrid4").jqGrid('delRowData', 0);
        }

        <% /* JQ06 */ %>

        <% /* Código del Grid #5 : Nacionalidades */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData5() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasCategoriaNaci',
                data: {
                    "id_list": $('#IdSubElementEC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function (json) {
                    $('#dlgCargando5').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando5').dialog('close');
                    $("#TablaGrid5").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#TablaGrid5")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid5").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid5() {

            var lastsel25;
            var colMap = {};
            $("#TablaGrid5").jqGrid({
                datatype: 'local',
                height: 100,
                width: 550,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 3, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel25*/) {
                        $('#TablaGrid5').jqGrid('editRow', id, true);
                        lastsel25 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel25*/) {
                        //$('#TablaGrid5').jqGrid('setSelection', id);
                        $('#cbUsaNaci').prop('checked', true);
                        BotonGuardarEC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#TablaGrid5").getDataIDs();
                    for (var i = 0; i <= rows.length; i++) {
                        var elem = $("#TablaGrid5").getCell(rows[i], "Id");
                        var status = $("#TablaGrid5").getCell(rows[i], "Eli");

                        if (parseInt(status) == 1) {
                            $("#TablaGrid5").setSelection(elem, true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid5() {
            $("#TablaGrid5").jqGrid("setGridParam", { datatype: "json", datatype: GetData5, loadonce: true });
            $("#TablaGrid5").trigger("reloadGrid");
            $("#TablaGrid5").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            //$("#TablaGrid5").jqGrid('delRowData', 0);
        }

        <% /* JQ06 */ %>

        <% /* Código del Grid #6 : Mercados */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData6() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasCategoriaMerc',
                data: {
                    "id_list": $('#IdSubElementEC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function (json) {
                    $('#dlgCargando6').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando6').dialog('close');
                    $("#TablaGrid6").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#TablaGrid6")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid6").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid6() {

            var lastsel26;
            var colMap = {};
            $("#TablaGrid6").jqGrid({
                datatype: 'local',
                height: 100,
                width: 550,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 3, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel26*/) {
                        $('#TablaGrid6').jqGrid('editRow', id, true);
                        lastsel26 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel26*/) {
                        //$('#TablaGrid6').jqGrid('setSelection', id);
                        $('#cbUsaMerc').prop('checked', true);
                        BotonGuardarEC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#TablaGrid6").getDataIDs();
                    for (var i = 0; i <= rows.length; i++) {
                        var elem = $("#TablaGrid6").getCell(rows[i], "Id");
                        var status = $("#TablaGrid6").getCell(rows[i], "Eli");

                        if (parseInt(status) == 1) {
                            $("#TablaGrid6").setSelection(elem, true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid6() {
            $("#TablaGrid6").jqGrid("setGridParam", { datatype: "json", datatype: GetData6, loadonce: true });
            $("#TablaGrid6").trigger("reloadGrid");
            $("#TablaGrid6").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            //$("#TablaGrid6").jqGrid('delRowData', 0);
        }

        <% /* JQ07 */ %>

        <% /* Código del Grid #7 : Mercados */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData7() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasCategoriaAgen',
                data: {
                    "id_list": $('#IdSubElementEC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function (json) {
                    $('#dlgCargando7').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando7').dialog('close');
                    $("#TablaGrid7").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#TablaGrid7")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid7").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid7() {

            var lastsel27;
            var colMap = {};
            $("#TablaGrid7").jqGrid({
                datatype: 'local',
                height: 100,
                width: 550,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 3, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel27*/) {
                        $('#TablaGrid7').jqGrid('editRow', id, true);
                        lastsel27 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel27*/) {
                        //$('#TablaGrid7').jqGrid('setSelection', id);
                        $('#cbUsaAgen').prop('checked', true);
                        BotonGuardarEC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#TablaGrid7").getDataIDs();
                    for (var i = 0; i <= rows.length; i++) {
                        var elem = $("#TablaGrid7").getCell(rows[i], "Id");
                        var status = $("#TablaGrid7").getCell(rows[i], "Eli");

                        if (parseInt(status) == 1) {
                            $("#TablaGrid7").setSelection(elem, true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid7() {
            $("#TablaGrid7").jqGrid("setGridParam", { datatype: "json", datatype: GetData7, loadonce: true });
            $("#TablaGrid7").trigger("reloadGrid");
            $("#TablaGrid7").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            //$("#TablaGrid7").jqGrid('delRowData', 0);
        }

        <% /* JQ08 */ %>

        <% /* Código del Grid #8 : Mercados */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetData8() {
            $.ajax({
                url: 'Servicio.svc/GetEstadisticasCategoriaPais',
                data: {
                    "id_list": $('#IdSubElementEC').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function (json) {
                    $('#dlgCargando8').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando8').dialog('close');
                    $("#TablaGrid8").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                    var thegrid = $("#TablaGrid8")[0];
                    thegrid.addJSONData(JSON.parse(json.d));
                    $("#TablaGrid8").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGrid8() {

            var lastsel28;
            var colMap = {};
            $("#TablaGrid8").jqGrid({
                datatype: 'local',
                height: 100,
                width: 550,
                colNames: HeaderTable,
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Descripcion', index: 'Descripcion', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 3, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel28*/) {
                        $('#TablaGrid8').jqGrid('editRow', id, true);
                        lastsel28 = id;
                    }
                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel28*/) {
                        //$('#TablaGrid8').jqGrid('setSelection', id);
                        $('#cbUsaPais').prop('checked', true);
                        BotonGuardarEC();
                    }
                },
                gridComplete: function () {
                    var rows = $("#TablaGrid8").getDataIDs();
                    for (var i = 0; i <= rows.length; i++) {
                        var elem = $("#TablaGrid8").getCell(rows[i], "Id");
                        var status = $("#TablaGrid8").getCell(rows[i], "Eli");

                        if (parseInt(status) == 1) {
                            $("#TablaGrid8").setSelection(elem, true);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true, scrollrows: true,
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                editurl: "Dummy.aspx"
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGrid8() {
            $("#TablaGrid8").jqGrid("setGridParam", { datatype: "json", datatype: GetData8, loadonce: true });
            $("#TablaGrid8").trigger("reloadGrid");
            $("#TablaGrid8").jqGrid("setGridParam", { datatype: "local", loadonce: true });
            //$("#TablaGrid8").jqGrid('delRowData', 0);
        }

        <% /* JS_FUN_BASE */ %>

        function LoadForm()
        {
            ResetFormNoLoad();
            if(parseInt($('#IdSubElementEC').val()) != 0)
            {
                var id = $('#IdSubElementEC').val();
                var ret = jQuery("#jqgEC").jqGrid('getRowData', id);

                $('#txtTitulo').val(ret.titulo);
                $('#cbTipo').val(ret.tipo);
                $('#cbTipo').prop('disabled', true);

                if (parseInt(ret.usauhab) == 1) { $('#cbUsaUhab').prop('checked', true) } else { $('#cbUsaUhab').prop('checked', false) }
                if (parseInt(ret.uhabnot) == 1) { $('#cbUhabNot').prop('checked', true) } else { $('#cbUhabNot').prop('checked', false) }
                if (parseInt(ret.usacont) == 1) { $('#cbUsaCont').prop('checked', true) } else { $('#cbUsaCont').prop('checked', false) }
                if (parseInt(ret.contnot) == 1) { $('#cbContNot').prop('checked', true) } else { $('#cbContNot').prop('checked', false) }
                if (parseInt(ret.usanaci) == 1) { $('#cbUsaNaci').prop('checked', true) } else { $('#cbUsaNaci').prop('checked', false) }
                if (parseInt(ret.nacinot) == 1) { $('#cbNaciNot').prop('checked', true) } else { $('#cbNaciNot').prop('checked', false) }
                if (parseInt(ret.usaralo) == 1) { $('#cbUsaRalo').prop('checked', true) } else { $('#cbUsaRalo').prop('checked', false) }
                if (parseInt(ret.ralonot) == 1) { $('#cbRaloNot').prop('checked', true) } else { $('#cbRaloNot').prop('checked', false) }
                if (parseInt(ret.usamone) == 1) { $('#cbUsaMone').prop('checked', true) } else { $('#cbUsaMone').prop('checked', false) }
                if (parseInt(ret.monenot) == 1) { $('#cbMoneNot').prop('checked', true) } else { $('#cbMoneNot').prop('checked', false) }
                if (parseInt(ret.usamerc) == 1) { $('#cbUsaMerc').prop('checked', true) } else { $('#cbUsaMerc').prop('checked', false) }
                if (parseInt(ret.usaagen) == 1) { $('#cbUsaAgen').prop('checked', true) } else { $('#cbUsaAgen').prop('checked', false) }
                if (parseInt(ret.usapais) == 1) { $('#cbUsaPais').prop('checked', true) } else { $('#cbUsaPais').prop('checked', false) }

                if (parseInt(ret.bmulti) == 1) { $('#cbMulti').prop('checked', true) } else { $('#cbMulti').prop('checked', false) }
                if (parseInt(ret.cierre) == 1) { $('#cbCierre').prop('checked', true) } else { $('#cbCierre').prop('checked', false) }
                
                RefreshGrid();
                RefreshGrid2();
                RefreshGrid3();
                RefreshGrid4();
                RefreshGrid5();
                RefreshGrid6();
                RefreshGrid7();
                RefreshGrid8();

                ExpresionTabsLocker();
                LockTotals();
            }
        }

        function ResetForm()
        {
            $('#txtTitulo').val('');
            $('#cbTipo').val(0);
            $('#cbTipo').prop('disabled', false);

            $('#cbUsaUhab').prop('checked', false);
            $('#cbUhabNot').prop('checked', false); 
            $('#cbUsaCont').prop('checked', false); 
            $('#cbContNot').prop('checked', false); 
            $('#cbUsaNaci').prop('checked', false); 
            $('#cbNaciNot').prop('checked', false); 
            $('#cbUsaRalo').prop('checked', false); 
            $('#cbRaloNot').prop('checked', false); 
            $('#cbUsaMone').prop('checked', false); 
            $('#cbMoneNot').prop('checked', false); 

            $('#cbMulti').prop('checked', false); 
            $('#cbCierre').prop('checked', false); 

            RefreshGrid();
            RefreshGrid2();
            RefreshGrid3();
            RefreshGrid4();
            RefreshGrid5();
            RefreshGrid6();
            RefreshGrid7();
            RefreshGrid8();

            ExpresionTabsLocker();
            LockTotals();
        }

        function ResetFormNoLoad()
        {
            $('#txtTitulo').val('');
            $('#cbTipo').val(0);
            $('#cbTipo').prop('disabled', false);

            ExpresionTabsLocker();
            LockTotals();
        }

        function ExpresionTabsLocker()
        {
            var tipo = parseInt($('#cbTipo').val());

            if (tipo == 1)
            {
                $('#ExpresionTabs').tabs("enable", 0);
                $('#cbUsaRalo').prop('disabled', false);
                $('#cbRaloNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("disable", 1);
                $('#cbUsaMone').prop('checked', false);
                $('#cbMoneNot').prop('checked', false); 
                $('#cbUsaMone').prop('disabled', true);
                $('#cbMoneNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("enable", 2);
                $('#cbUsaUhab').prop('disabled', false);
                $('#cbUhabNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("enable", 3);
                $('#cbUsaCont').prop('disabled', false);
                $('#cbContNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("disable", 4);
                $('#cbUsaNaci').prop('checked', false);
                $('#cbNaciNot').prop('checked', false); 
                $('#cbUsaNaci').prop('disabled', true);
                $('#cbNaciNot').prop('disabled', true); 

                $('#ExpresionTabs2').tabs("enable", 0);
                $('#cbUsaMerc').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 1);
                $('#cbUsaAgen').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 2);
                $('#cbUsaPais').prop('disabled', false);

                $('#ExpresionTabs').tabs("option", "active", 0);
            }
            if (tipo == 2)
            {
                $('#ExpresionTabs').tabs("enable", 0);
                $('#cbUsaRalo').prop('disabled', false);
                $('#cbRaloNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("disable", 1);
                $('#cbUsaMone').prop('checked', false);
                $('#cbMoneNot').prop('checked', false); 
                $('#cbUsaMone').prop('disabled', true);
                $('#cbMoneNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("enable", 2);
                $('#cbUsaUhab').prop('disabled', false);
                $('#cbUhabNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("enable", 3);
                $('#cbUsaCont').prop('disabled', false);
                $('#cbContNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("enable", 4);
                $('#cbUsaNaci').prop('disabled', false);
                $('#cbNaciNot').prop('disabled', false); 

                $('#ExpresionTabs2').tabs("enable", 0);
                $('#cbUsaMerc').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 1);
                $('#cbUsaAgen').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 2);
                $('#cbUsaPais').prop('disabled', false);

                $('#ExpresionTabs').tabs("option", "active", 0);
            }
            if (tipo == 3)
            {
                $('#ExpresionTabs').tabs("disable", 0);
                $('#cbUsaRalo').prop('checked', false);
                $('#cbRaloNot').prop('checked', false); 
                $('#cbUsaRalo').prop('disabled', true);
                $('#cbRaloNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("disable", 1);
                $('#cbUsaMone').prop('checked', false);
                $('#cbMoneNot').prop('checked', false); 
                $('#cbUsaMone').prop('disabled', true);
                $('#cbMoneNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("disable", 2);
                $('#cbUsaUhab').prop('checked', false);
                $('#cbUhabNot').prop('checked', false); 
                $('#cbUsaUhab').prop('disabled', true);
                $('#cbUhabNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("disable", 3);
                $('#cbUsaCont').prop('checked', false);
                $('#cbContNot').prop('checked', false); 
                $('#cbUsaCont').prop('disabled', true);
                $('#cbContNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("disable", 4);
                $('#cbUsaNaci').prop('checked', false);
                $('#cbNaciNot').prop('checked', false); 
                $('#cbUsaNaci').prop('disabled', true);
                $('#cbNaciNot').prop('disabled', true); 

                $('#ExpresionTabs2').tabs("disable", 0);
                $('#cbUsaMerc').prop('checked', false);
                $('#cbUsaMerc').prop('disabled', true);
                $('#ExpresionTabs2').tabs("disable", 1);
                $('#cbUsaAgen').prop('checked', false);
                $('#cbUsaAgen').prop('disabled', true);
                $('#ExpresionTabs2').tabs("disable", 2);
                $('#cbUsaPais').prop('checked', false);
                $('#cbUsaPais').prop('disabled', true);

                $('#ExpresionTabs').tabs("option", "active", 0);
            }
            if (tipo == 4 || tipo == 5)
            {
                $('#ExpresionTabs').tabs("enable", 0);
                $('#cbUsaRalo').prop('disabled', false);
                $('#cbRaloNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("enable", 1);
                $('#cbUsaMone').prop('disabled', false);
                $('#cbMoneNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("enable", 2);
                $('#cbUsaUhab').prop('disabled', false);
                $('#cbUhabNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("enable", 3);
                $('#cbUsaCont').prop('disabled', false);
                $('#cbContNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("disable", 4);
                $('#cbUsaNaci').prop('checked', false);
                $('#cbNaciNot').prop('checked', false); 
                $('#cbUsaNaci').prop('disabled', true);
                $('#cbNaciNot').prop('disabled', true); 

                $('#ExpresionTabs2').tabs("enable", 0);
                $('#cbUsaMerc').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 1);
                $('#cbUsaAgen').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 2);
                $('#cbUsaPais').prop('disabled', false);

                $('#ExpresionTabs').tabs("option", "active", 0);
            }
            if (tipo == 6)
            {
                $('#ExpresionTabs').tabs("disable", 0);
                $('#cbUsaRalo').prop('checked', false);
                $('#cbRaloNot').prop('checked', false); 
                $('#cbUsaRalo').prop('disabled', true);
                $('#cbRaloNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("enable", 1);
                $('#cbUsaMone').prop('disabled', false);
                $('#cbMoneNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("disable", 2);
                $('#cbUsaUhab').prop('checked', false);
                $('#cbUhabNot').prop('checked', false); 
                $('#cbUsaUhab').prop('disabled', true);
                $('#cbUhabNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("disable", 3);
                $('#cbUsaCont').prop('checked', false);
                $('#cbContNot').prop('checked', false); 
                $('#cbUsaCont').prop('disabled', true);
                $('#cbContNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("disable", 4);
                $('#cbUsaNaci').prop('checked', false);
                $('#cbNaciNot').prop('checked', false); 
                $('#cbUsaNaci').prop('disabled', true);
                $('#cbNaciNot').prop('disabled', true); 

                $('#ExpresionTabs2').tabs("enable", 0);
                $('#cbUsaMerc').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 1);
                $('#cbUsaAgen').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 2);
                $('#cbUsaPais').prop('disabled', false);

                $('#ExpresionTabs').tabs("option", "active", 1);
            }
            if (tipo == 7)
            {
                $('#ExpresionTabs').tabs("disable", 0);
                $('#cbUsaRalo').prop('checked', false);
                $('#cbRaloNot').prop('checked', false); 
                $('#cbUsaRalo').prop('disabled', true);
                $('#cbRaloNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("disable", 1);
                $('#cbUsaMone').prop('checked', false);
                $('#cbMoneNot').prop('checked', false); 
                $('#cbUsaMone').prop('disabled', true);
                $('#cbMoneNot').prop('disabled', true); 
                $('#ExpresionTabs').tabs("enable", 2);
                $('#cbUsaUhab').prop('disabled', false);
                $('#cbUhabNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("enable", 3);
                $('#cbUsaCont').prop('disabled', false);
                $('#cbContNot').prop('disabled', false); 
                $('#ExpresionTabs').tabs("disable", 4);
                $('#cbUsaNaci').prop('checked', false);
                $('#cbNaciNot').prop('checked', false); 
                $('#cbUsaNaci').prop('disabled', true);
                $('#cbNaciNot').prop('disabled', true); 

                $('#ExpresionTabs2').tabs("enable", 0);
                $('#cbUsaMerc').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 1);
                $('#cbUsaAgen').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 2);
                $('#cbUsaPais').prop('disabled', false);

                $('#ExpresionTabs').tabs("option", "active", 2);
            }
        }

        function LockTotals()
        {
            if(parseInt($('#cbUsaMerc:checked').val()) != 1
                && parseInt($('#cbUsaAgen:checked').val()) != 1
                && parseInt($('#cbUsaPais:checked').val()) != 1)
            {
                $('#ExpresionTabs2').tabs("enable", 0);
                $('#cbUsaMerc').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 1);
                $('#cbUsaAgen').prop('disabled', false);
                $('#ExpresionTabs2').tabs("enable", 2);
                $('#cbUsaPais').prop('disabled', false);

                $('#ExpresionTabs2').tabs("option", "active", 0);
            }

            if(parseInt($('#cbUsaMerc:checked').val()) == 1)
            {
                $('#ExpresionTabs2').tabs("enable", 0);
                $('#cbUsaMerc').prop('disabled', false);
                $('#ExpresionTabs2').tabs("disable", 1);
                $('#cbUsaAgen').prop('checked', false);
                $('#cbUsaAgen').prop('disabled', true);
                $('#ExpresionTabs2').tabs("disable", 2);
                $('#cbUsaPais').prop('checked', false);
                $('#cbUsaPais').prop('disabled', true);

                $('#ExpresionTabs2').tabs("option", "active", 0);
            }

            if(parseInt($('#cbUsaAgen:checked').val()) == 1)
            {
                $('#ExpresionTabs2').tabs("disable", 0);
                $('#cbUsaMerc').prop('checked', false);
                $('#cbUsaMerc').prop('disabled', true);
                $('#ExpresionTabs2').tabs("enable", 1);
                $('#cbUsaAgen').prop('disabled', false);
                $('#ExpresionTabs2').tabs("disable", 2);
                $('#cbUsaPais').prop('checked', false);
                $('#cbUsaPais').prop('disabled', true);

                $('#ExpresionTabs2').tabs("option", "active", 1);
            }

            if(parseInt($('#cbUsaPais:checked').val()) == 1)
            {
                $('#ExpresionTabs2').tabs("disable", 0);
                $('#cbUsaMerc').prop('checked', false);
                $('#cbUsaMerc').prop('disabled', true);
                $('#ExpresionTabs2').tabs("disable", 1);
                $('#cbUsaAgen').prop('checked', false);
                $('#cbUsaAgen').prop('disabled', true);
                $('#ExpresionTabs2').tabs("enable", 2);
                $('#cbUsaPais').prop('disabled', false);

                $('#ExpresionTabs2').tabs("option", "active", 2);
            }
        }
        
    </script>

    <script type="text/javascript">

        <% /* JS_DOC */ %>

        $(document).ready(function () {

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 550,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 550,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 4);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            LoadGridEC();
            LoadGrid();
            LoadGrid2();
            LoadGrid3();
            LoadGrid4();
            LoadGrid5();
            LoadGrid6();
            LoadGrid7();
            LoadGrid8();

            InitializeComponentsEC();

            BotonDefaultEC();

            RefreshGridEC();

            $('#ExpresionTabs').tabs();
            $('#ExpresionTabs2').tabs();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M5';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/application-icon-large.png" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMenuTactil") %>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="EstadisticasCategorias.aspx"><%=L.TIT("EstadisticasCategorias") %> [4.8]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 750px;">

                <% /* DLG_VAR */ %>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <% /* TIT */ %>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("EstadisticasCategorias") %> [4.8]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultEC();RefreshGridEC();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/4-8-estad%C3%ADsticas-por-categoria/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <table>
                    <tr>
                        <td>
                            <%=L.LBL("LblGENStart") %>:
                        </td>
                        <td>
                            <input type="text" id="txtFecIni" value="<%=String.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha" style="width: 100px;" />
                        </td>
                        <td>
                            <%=L.LBL("LblGENEnd") %>:
                        </td>
                        <td>
                            <input type="text" id="txtFecFin" value="<%=String.Format("{0:d}", fecha_hotelera.AddDays(20)) %>" class="eligeFecha" style="width: 100px;" />
                        </td>
                        <td>
                            <input type="checkbox" id="cbDias" value="1" />
                        </td>
                        <td>
                            <%=L.LBL("LblFDKDetallarDias") %>
                        </td>
                        <td>
                            <button type="button" onclick="window.open('Informe.aspx?r=410&i=' + $('#IdSubElementEC').val() 
                                            + '&s=' + $('#txtFecIni').val() + '&f=' + $('#txtFecFin').val() + '&d=' + $('#cbDias:checked').val(), '_blank');">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" /></td>
                                        <td><%=L.LBL("LblGENVer") %></td>
                                    </tr>
                                </table>
                            </button>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td>
                            <% /* B01 */ %>

                            <input type="hidden" id="IdSubElementEC" value="0" />
                            <table id="jqgEC"></table>
                        </td>
                        <td>
                            <fieldset>

                                <% /* B02 */ %>

                                <table>
                                    <tr>
                                        <td>
                                            <%=L.LBL("LblGENTitulo") %>:
                                        </td>
                                        <td>
                                            <input type="text" id="txtTitulo" value="" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENType") %>:
                                        </td>
                                        <td>
                                            <%=cbTipo %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="4">

                                            <br />

                                            <% /* B03 */ %>

                                            <b><%=L.LBL("LblGENDetallarPor") %></b>

                                            <br /><br />

                                            <div id="ExpresionTabs" style="padding: 0px;">
                                                <ul>
                                                    <li>
                                                        <a href="#Regimen">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/Regimen.png" /></td>
                                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSEXRegimen") %></span></td>
                                                                </tr>
                                                            </table>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#Moneda">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/Dinero.png" /></td>
                                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblGENMoney") %></span></td>
                                                                </tr>
                                                            </table>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#Usos">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/wand-magic.png" /></td>
                                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblGENUsosHab") %></span></td>
                                                                </tr>
                                                            </table>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#Contrato">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/Libro.png" /></td>
                                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSEXContrato") %></span></td>
                                                                </tr>
                                                            </table>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#Nacionalidad">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/Tierra.png" /></td>
                                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSEXNacionalidad") %></span></td>
                                                                </tr>
                                                            </table>
                                                        </a>
                                                    </li>
                                                </ul>

                                                <div id="Regimen">
                                                    <table style="width: 100%;">
                                                        <tr>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbUsaRalo" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                            <td style="width: 100%;"></td>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbRaloNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                                        </tr>
                                                    </table>
                                                    <table id="TablaGrid"></table>
                                                </div>

                                                <div id="Moneda">
                                                    <table style="width: 100%;">
                                                        <tr>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbUsaMone" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                            <td style="width: 100%;"></td>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbMoneNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                                        </tr>
                                                    </table>
                                                    <table id="TablaGrid2"></table>
                                                </div>

                                                <div id="Usos">
                                                    <table style="width: 100%;">
                                                        <tr>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbUsaUhab" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                            <td style="width: 100%;"></td>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbUhabNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                                        </tr>
                                                    </table>
                                                    <table id="TablaGrid3"></table>
                                                </div>

                                                <div id="Contrato">
                                                    <table style="width: 100%;">
                                                        <tr>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbUsaCont" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                            <td style="width: 100%;"></td>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbContNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                                        </tr>
                                                    </table>
                                                    <table id="TablaGrid4"></table>
                                                </div>

                                                <div id="Nacionalidad">
                                                    <table style="width: 100%;">
                                                        <tr>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbUsaNaci" value="1" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                            <td style="width: 100%;"></td>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbNaciNot" value="1" /><%=L.LBL("LblFDKSExcepto") %></td>
                                                        </tr>
                                                    </table>
                                                    <table id="TablaGrid5"></table>
                                                </div>

                                            </div>

                                            <% /* B04 */ %>

                                            <br />

                                            <b><%=L.LBL("LblGENTotalizarPor") %></b>

                                            <br /><br />

                                            <div id="ExpresionTabs2" style="padding: 0px;">
                                                <ul>
                                                    <li>
                                                        <a href="#Merc">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/Mercados.png" /></td>
                                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKSMercado") %></span></td>
                                                                </tr>
                                                            </table>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#Agen">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/Agencias.png" /></td>
                                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblGENCompany") %></span></td>
                                                                </tr>
                                                            </table>
                                                        </a>
                                                    </li>
                                                    <li>
                                                        <a href="#Pais">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/Seven/Tierra.png" /></td>
                                                                    <td><span style="font-size: 7pt;"><%=L.LBL("LblFDKPaisEmisor") %></span></td>
                                                                </tr>
                                                            </table>
                                                        </a>
                                                    </li>
                                                </ul>

                                                <div id="Merc">
                                                    <table style="width: 100%;">
                                                        <tr>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbUsaMerc" value="1" onchange="LockTotals();" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                            <td style="width: 100%;"></td>
                                                        </tr>
                                                    </table>
                                                    <table id="TablaGrid6"></table>
                                                </div>

                                                <div id="Agen">
                                                    <table style="width: 100%;">
                                                        <tr>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbUsaAgen" value="1" onchange="LockTotals();" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                            <td style="width: 100%;"></td>
                                                        </tr>
                                                    </table>
                                                    <table id="TablaGrid7"></table>
                                                </div>

                                                <div id="Pais">
                                                    <table style="width: 100%;">
                                                        <tr>
                                                            <td style="white-space: nowrap;">
                                                                <input type="checkbox" id="cbUsaPais" value="1" onchange="LockTotals();" /><%=L.LBL("LblFDKSSeleccionar") %></td>
                                                            <td style="width: 100%;"></td>
                                                        </tr>
                                                    </table>
                                                    <table id="TablaGrid8"></table>
                                                </div>

                                            </div>

                                        </td>
                                    </tr>
                                </table>

                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbMulti" value="1" />
                                        </td>
                                        <td>
                                            <b><%=L.LBL("LblFDKConsolidarOtrosFront") %></b>
                                        </td>
                                        <td>
                                            <input type="checkbox" id="cbCierre" value="1" />
                                        </td>
                                        <td>
                                            <b><%=L.LBL("LblFDKImprimirCierre") %></b>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataEC" value="Search">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png"
                                                            alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnNuevoEC" onclick="CreateEC();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/document.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENNew") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnEliminarEC" onclick="DeleteEC();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img id="btnEliminarIconEC" src="img/cross-script.png" alt="<%=L.LBL("LblGENDelete") %>" />
                                                    </td>
                                                    <td id="btnEliminarTextEC"><%=L.LBL("LblGENDelete") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarEC" onclick="SaveEC();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENSave") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarEC" onclick="CancelEC();">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                    <td><%=L.LBL("LblGENCancel") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

